/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

var SV = window.SV || {};

(/** @param {jQuery} $ jQuery Object */ function($, window, document, _undefined)
{
	"use strict";

	SV.Accordion = XF.Element.newHandler({
		init: function()
		{
			var $e = this.$target,
				d = $e.attr('data-duration'),
				activeClass = 'sv-accordion-slide--active';

			$e.children('dt').click(function () {
				//e.preventDefault(); // If Slide Menu Title has an URL, it will prevent a new page to be opened.
				var $this = $(this),
					$target = $this.next();

				if (!$target.hasClass(activeClass)) {
					$e.children('.sv-accordion > dt').removeClass(activeClass);
					$this.addClass(activeClass);
					$e.children('.sv-accordion > dd').removeClass(activeClass).slideUp(d);
					$target.addClass(activeClass).slideDown(d);
				} else if ($target.hasClass(activeClass)) {
					$this.removeClass(activeClass);
					$target.removeClass(activeClass).slideUp(d);
				}
			});
		}
	});

	XF.Element.register('sv-accordion', 'SV.Accordion');
}) (jQuery, window, document);