/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

var SV = window.SV || {};


(/** @param {jQuery} $ jQuery Object */ function($, window, document, _undefined)
{
  "use strict";

  /**
   * A tool for comparing two images.
   */
  SV.ImageCompare = XF.Element.newHandler({
    options: {
      orientation: 'horizontal',
      comparisonOffset: 0.4
    },

    /**
     * Initializes the image comparison tool.
     */
    init: function()
    {
      // required to correctly initialize on post insert/edit
      var self = this;
      setTimeout(
        function() {
          self.setup();
        },
        XF.config.speed.slow
      );
    },

    /**
     * Sets up the image comparison tool.
     */
    setup: function()
    {
      this.$target.twentytwenty({
        orientation: this.options.orientation,
        default_offset_pct: this.options.comparisonOffset,
        before_label: XF.phrase('sv_bbcode_image_before'),
        after_label: XF.phrase('sv_bbcode_image_after')
      });
    }
  });

  // register handlers
  XF.Element.register('sv-image-compare', 'SV.ImageCompare');
})(jQuery, window, document);
