/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

var SV = window.SV || {};

(/** @param {jQuery} $ jQuery Object */ function($, window, document, _undefined)
{
  "use strict";

  // MathJax configuration
  window.MathJax = {
    jax: [
      'input/TeX',
      'output/CommonHTML'
    ],

    extensions: [
      'tex2jax.js',
      'Safe.js'
    ],

    messageStyle: 'none',
    showMathMenu: false,

    tex2jax: {
      ignoreClass: '.*',
      processClass: 'sv-latex--code',
      processRefs: false,
      processEnvironments: false
    },

    TeX: {
      extensions: [
        'AMSmath.js',
        'AMSsymbols.js',
        'noErrors.js',
        'noUndefined.js'
      ]
    }
  };

  /**
   * A handler for LaTeX content.
   */
  SV.Latex = XF.Element.newHandler({
    /**
     * Queues LaTeX typesetting with MathJax.
     */
    init: function()
    {
        if (MathJax.Hub) {
            MathJax.Hub.Config({
                CommonHTML: {linebreaks: {automatic: true}},
                "HTML-CSS": {linebreaks: {automatic: true}},
                SVG: {linebreaks: {automatic: true}}
            });
            MathJax.Hub.Queue(['Typeset', MathJax.Hub, this.$target.get(0)]);
        }
    }
  });

  // register handlers
  XF.Element.register('sv-latex', 'SV.Latex');
})(jQuery, window, document);
