<?php

namespace SV\AdvancedBbCodesPack\BbCode\Tag;

/**
 * Class Abbr
 *
 * @package SV\AdvancedBbCodesPack\BbCode\Tag
 */
class Abbr extends AbstractTag
{
    use TagWithSingleOptionTrait;

    /**
     * @param array           $tagChildren
     * @param null|string|string[] $tagOption
     * @param array           $tag
     * @param array           $options
     * @return string|\XF\PreEscaped
     */
    public function render(array $tagChildren, $tagOption, array $tag, array $options)
    {
        $title = $this->getTagOptionAsString($tagOption);
        $content = $this->renderEscapedSubTree($tagChildren, $options);

        return $this->templater->renderTemplate('public:sv_bbcode_abbr', [
            'title' => $title,
            'content' => $content,
        ]);
    }
}