<?php

namespace SV\AdvancedBbCodesPack\BbCode\Tag;

/**
 * A BB code renderer for [FAB]/[FAD]/[FAL]/[FAR]/[FAS] tags.
 *
 * @package SV\AdvancedBbCodesPack\BbCode\Tag
 */
class FontAwesome extends AbstractTag
{
    use TagWithSingleOptionTrait;

    /**
     * @param array           $tagChildren
     * @param null|string|string[] $tagOption
     * @param array           $tag
     * @param array           $options
     * @return string|\XF\PreEscaped
     */
    public function render(array $tagChildren, $tagOption, array $tag, array $options)
    {
        $option = $this->getTagOptionAsString($tagOption);
        $content = \trim($this->renderer->renderSubTree($tagChildren, $options));

        return $this->templater->renderTemplate('public:sv_bbcode_fa', [
            'tag' => \strtolower($tag['tag']),
            'option' => \strtolower($option),
            'content' => \strlen($content) ? $this->templater->preEscaped($content) : null,
        ]);
    }

    /**
     * @param array           $tagChildren
     * @param null|string|string[] $tagOption
     * @param array           $tag
     * @param array           $options
     * @return string|\XF\PreEscaped
     */
    public function renderEditor(array $tagChildren, $tagOption, array $tag, array $options)
    {
        $content = \trim($this->renderer->renderSubTree($tagChildren, $options));

        return $this->renderEditorInternal([], $tagOption, $tag, $options) . $content;
    }
}