<?php

namespace SV\AdvancedBbCodesPack\BbCode\Tag;

/**
 * A BB code renderer for [HR] tags.
 *
 * @package SV\AdvancedBbCodesPack\BbCode\Tag
 */
class Header extends AbstractTag
{
    use TagWithSingleOptionTrait;

    /**
     * @param array           $tagChildren
     * @param null|string|string[] $tagOption
     * @param array           $tag
     * @param array           $options
     * @return string|\XF\PreEscaped
     */
    public function render(array $tagChildren, $tagOption, array $tag, array $options)
    {
        $tagName = $tag['tag'];
        $content = \trim($this->renderer->renderSubTree($tagChildren, $options));
        if (\strlen($content) === 0)
        {
            return '[' . $tagName . '][/' . $tagName . ']';
        }

        return $this->templater->renderTemplate('public:sv_bbcode_header', [
            'tag'     => $tagName,
            'content' => $this->templater->preEscaped($content),
        ]);
    }

    /**
     * @param array           $tagChildren
     * @param null|string|string[] $tagOption
     * @param array           $tag
     * @param array           $options
     * @return string|\XF\PreEscaped
     */
    public function renderEditor(array $tagChildren, $tagOption, array $tag, array $options)
    {
        // Header bb-code is buggy in the editor :(
        // https://xenforo.com/community/threads/heading-bb-code-does-not-round-trip-as-expected.196954/
        $tagName = $tag['tag'];
        $content = \trim($this->renderer->renderSubTree($tagChildren, $options));
        return '[' . $tagName . ']' . $content . '[/' . $tagName . ']';

        //return '<break-start />' . $this->render($tagChildren, $tagOption, $tag, $options) . "<break-start />\n";
    }
}