<?php

/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace SV\AdvancedBbCodesPack\BbCode\Tag;

/**
 * A BB code renderer for [QS] tags (alt [ISPOILER] tag).
 *
 * @package SV\AdvancedBbCodesPack\BbCode\Tag
 */
class QuickSpoiler extends AbstractTag
{
    /**
     * @param array           $tagChildren
     * @param null|string|string[] $tagOption
     * @param array           $tag
     * @param array           $options
     * @return string|\XF\PreEscaped
     */
    public function render(array $tagChildren, $tagOption, array $tag, array $options)
    {
        if ($options['svNestingInlineSpoiler'] ?? false)
        {
            return $this->renderer->renderSubTree($tagChildren, $options);
        }
        $options['svNestingInlineSpoiler'] = true;

        $contents = $this->renderer->renderSubTree($tagChildren, $options);

        return \utf8_trim($this->templater->renderTemplate('public:sv_bbcode_spoiler', [
            'content' => $contents
        ]));
    }
}