<?php

/*
 * This file is part of a XenForo add-on.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace SV\AdvancedBbCodesPack\BbCode\Tag;

/**
 * A BB code renderer for [SPOILERBB] tags.
 *
 * @package SV\AdvancedBbCodesPack\BbCode\Tag
 */
class SpoilerBb extends AbstractTag
{
    /**
     * @param array           $tagChildren
     * @param null|string|string[] $tagOption
     * @param array           $tag
     * @param array           $options
     * @return string|\XF\PreEscaped
     */
    public function render(array $tagChildren, $tagOption, array $tag, array $options)
    {
        if (\method_exists($this->renderer, 'renderTagSpoiler'))
        {
            return $this->renderer->renderTagSpoiler($tagChildren, $tagOption, $tag, $options);
        }

        return $this->renderer->renderUnparsedTag($tag, $options);
    }
}