<?php

namespace SV\AdvancedBbCodesPack\BbCode\Tag;

/**
 * Class Tab
 *
 * @package SV\AdvancedBbCodesPack\BbCode\Tag
 */
class Tab extends AbstractTag
{
    /**
     * @param array           $tagChildren
     * @param string|string[] $tagOption
     * @param array           $tag
     * @param array           $options
     * @return string|\XF\PreEscaped
     */
    public function render(array $tagChildren, $tagOption, array $tag, array $options)
    {
        if (empty($options['tabBbCode']))
        {
            return $this->renderer->renderUnparsedTag($tag, $options);
        }

        $title = $this->getTagOptionAsString($tagOption, '|');
        if (\strlen($title) !== 0)
        {
            $prefix = "{slide={$title}}";
        }
        else
        {
            $prefix = "{slide}";
        }

        $contents = $this->renderer->renderSubTree($tagChildren, $options);
        if ($contents === '' || \ctype_space($contents))
        {
            // Will avoid tags to be "eaten"
            $contents = '&nbsp;';
        }

        return $prefix . $contents . '{/slide}';
    }
}