<?php

namespace SV\AdvancedBbCodesPack\BbCode\Tag;

/**
 * Class TabHeader
 *
 * @package SV\AdvancedBbCodesPack\BbCode\TabHeader
 */
class TabHeader extends AbstractTag
{
    /**
     * @param array           $tagChildren
     * @param null|string|string[] $tagOption
     * @param array           $tag
     * @param array           $options
     * @return string|\XF\PreEscaped
     */
    public function render(array $tagChildren, $tagOption, array $tag, array $options)
    {
        if (empty($options['tabHeaderBbCode']))
        {
            return $this->renderer->renderUnparsedTag($tag, $options);
        }

        $contents = $this->renderer->renderSubTree($tagChildren, $options);
        if ($contents === '' || \ctype_space($contents))
        {
            // Will avoid tags to be "eaten"
            $contents = '&nbsp;';
        }

        return "{slide_header}{$contents}{/slide_header}";
    }
}