<?php
/**
 * @noinspection PhpMissingReturnTypeInspection
 */

namespace SV\AdvancedBbCodesPack\ControllerPlugin;

use XF\ControllerPlugin\AbstractPlugin;
use XF\Mvc\Entity\Entity;

/**
 * Class BbCodePreview
 *
 * @package SV\AdvancedBbCodesPack\ControllerPlugin
 */
class BbCodePreview extends AbstractPlugin
{
    /**
     * @param string $message
     * @param Entity $container
     * @param string $view
     * @param bool   $messageIsHtml
     * @return \XF\Mvc\Reply\View
     * @throws \XF\PrintableException
     * @noinspection PhpUnusedParameterInspection
     */
    public function actionPreview(string $message, Entity $container, string $view, bool $messageIsHtml = true)
    {
        /** @var \XF\ControllerPlugin\Editor $editor */
        $editor = $this->plugin('XF:Editor');
        $message = $editor->convertToBbCode($message);

        $viewParams = [
            'message' => $message,
            'container' => $container,
            'context' => $container->getEntityContentType(),
            'user' => \XF::visitor()
        ];
        return $this->view($view, 'svAdvancedBBCode_bb_code_preview', $viewParams);
    }
}