<?php
/**
 * @noinspection PhpMissingReturnTypeInspection
 */

namespace SV\AdvancedBbCodesPack\XF\BbCode;

use SV\AdvancedBbCodesPack\BbCode\Tag\AbstractTag;

/**
 * Extends \XF\BbCode\RuleSet
 */
class RuleSet extends XFCP_RuleSet
{
    public function getCustomTagConfig(array $tag)
    {
        $config = parent::getCustomTagConfig($tag);

        $prefix = 'SV\AdvancedBbCodesPack\BbCode\Tag\\';
        if (
            isset($tag['callback_class'])
            && \is_string($tag['callback_class'])
            && \strncmp($tag['callback_class'], $prefix, \strlen($prefix)) === 0
        )
        {
            $className = \XF::app()->extendClass($tag['callback_class']);
            /** @var AbstractTag $obj */
            $obj = new $className(\XF::app(), null);

            $nativeSupport = $obj->hasNativeMultipleOptionSupport();
            if ($nativeSupport)
            {
                $config['supportOptionKeys'] = $nativeSupport;
            }
        }

        return $config;
    }
}