<?php

namespace SV\AdvancedBbCodesPack\XF\ControllerPlugin;

/**
 * Extends \XF\ControllerPlugin\Editor
 */
class Editor extends XFCP_Editor
{
    protected static $cache = [];

    public function svResetMessageCache()
    {
        static::$cache = [];
    }

    public function fromInput($key, $htmlMaxLength = -1)
    {
        if (isset(static::$cache[$key]))
        {
            return static::$cache[$key];
        }

        $output = parent::fromInput($key, $htmlMaxLength);

        static::$cache[$key] = $output ?: '';
        \XF::runOnce('svPluginEditorCache', function() {
            $this->svResetMessageCache();
        });

        return $output;
    }
}