<?php
/**
 * @noinspection PhpMissingReturnTypeInspection
 */

namespace SV\AdvancedBbCodesPack\XF\Entity;

use XF\Mvc\Entity\Structure;

/**
 * Extends \XF\Entity\BbCode
 *
 * @property string _example
 */
class BbCode extends XFCP_BbCode
{
    public function getExample()
    {
        $visitor = \XF::visitor();
        if (!$visitor->is_moderator && !$visitor->is_admin)
        {
            $options = \XF::options();
            $modOnlyBbCodeHelp = $options->modOnlyBbCodeHelp ?? true;
            if (!$modOnlyBbCodeHelp)
            {
                $tags = \explode(',', \str_replace("\n", ',', $options->modOnlyBbCode ?? ''));
                $tags = \array_map('\trim', $tags);
                $tags = \array_filter($tags);
                $tags = \array_map('\utf8_strtolower', $tags);
                if (\in_array(\utf8_strtolower($this->bb_code_id), $tags, true))
                {
                    return '';
                }
            }
        }

        return parent::getExample();
    }

    /**
     * @param Structure $structure
     * @return Structure
     */
    public static function getStructure(Structure $structure)
    {
        $structure = parent::getStructure($structure);

        $structure->getters['example'] = ['getter' => 'getExample', 'cache' => false];

        return $structure;
    }
}