<?php
/**
 * @noinspection PhpMissingReturnTypeInspection
 */

namespace SV\AdvancedBbCodesPack\XF\Pub\Controller;

use SV\AdvancedBbCodesPack\ControllerPlugin\BbCodePreview as BbCodePreviewPlugin;
use XF\Mvc\ParameterBag;
use XF\Mvc\Reply\AbstractReply;

/**
 * Extends \XF\Pub\Controller\Conversation
 */
class Conversation extends XFCP_Conversation
{
    /**
     * @param ParameterBag $parameterBag
     * @return AbstractReply
     * @throws \XF\Mvc\Reply\Exception
     * @throws \XF\PrintableException
     */
    public function actionSvBbCodePreview(ParameterBag $parameterBag)
    {
        $userConv = $this->assertViewableUserConversation($parameterBag->get('conversation_id'));

        /** @var BbCodePreviewPlugin $bbCodePreviewPlugin */
        $bbCodePreviewPlugin = $this->plugin('SV\AdvancedBbCodesPack:BbCodePreview');

        $message = $this->filter('bb_code_output', 'str');
        return $bbCodePreviewPlugin->actionPreview($message, $userConv, 'SV\AdvancedBbCodesPack\XF:Thread\SVBbCodePreview');
    }

    /**
     * @param ParameterBag $parameterBag
     * @return AbstractReply
     * @throws \XF\PrintableException
     * @noinspection PhpUnusedParameterInspection
     */
    public function actionSvBbCodeNewPreview(ParameterBag $parameterBag)
    {
        $visitor = \XF::visitor();
        if (!$visitor->canStartConversation())
        {
            return $this->noPermission();
        }

        /** @var BbCodePreviewPlugin $bbCodePreviewPlugin */
        $bbCodePreviewPlugin = $this->plugin('SV\AdvancedBbCodesPack:BbCodePreview');

        $message = $this->filter('bb_code_output', 'str');
        return $bbCodePreviewPlugin->actionPreview($message, $visitor, 'SV\AdvancedBbCodesPack\XF:Thread\SVBbCodePreview');
    }
}