<?php
/**
 * @noinspection PhpMissingReturnTypeInspection
 */

namespace SV\AdvancedBbCodesPack\XF\Pub\Controller;

use SV\AdvancedBbCodesPack\ControllerPlugin\BbCodePreview as BbCodePreviewPlugin;
use XF\Mvc\ParameterBag;
use XF\Mvc\Reply\AbstractReply;

/**
 * Extends \XF\Pub\Controller\Forum
 */
class Forum extends XFCP_Forum
{
    /**
     * @param ParameterBag $parameterBag
     * @return AbstractReply
     * @throws \XF\Mvc\Reply\Exception
     * @throws \XF\PrintableException
     */
    public function actionSvBbCodePreview(ParameterBag $parameterBag)
    {
        $forum = $this->assertViewableForum($parameterBag->get('node_id'));
        if (!$forum->canCreateThread($error))
        {
            return $this->noPermission($error);
        }

        /** @var BbCodePreviewPlugin $bbCodePreviewPlugin */
        $bbCodePreviewPlugin = $this->plugin('SV\AdvancedBbCodesPack:BbCodePreview');

        $message = $this->filter('bb_code_output', 'str');
        return $bbCodePreviewPlugin->actionPreview($message, $forum, 'SV\AdvancedBbCodesPack\XF:Forum\SVBbCodePreview');
    }
}