<?php
/**
 * @noinspection PhpMissingReturnTypeInspection
 */

namespace SV\AdvancedBbCodesPack\XF\Pub\Controller;

use SV\AdvancedBbCodesPack\ControllerPlugin\BbCodePreview as BbCodePreviewPlugin;
use XF\Mvc\ParameterBag;
use XF\Mvc\Reply\AbstractReply;

/**
 * Class Thread
 *
 * @package SV\AdvancedBbCodesPack\XF\Pub\Controller
 */
class Thread extends XFCP_Thread
{
    /**
     * @param ParameterBag $parameterBag
     * @return AbstractReply
     * @throws \XF\Mvc\Reply\Exception
     * @throws \XF\PrintableException
     */
    public function actionSvBbCodePreview(ParameterBag $parameterBag)
    {
        $thread = $this->assertViewableThread($parameterBag->get('thread_id'));

        /** @var BbCodePreviewPlugin $bbCodePreviewPlugin */
        $bbCodePreviewPlugin = $this->plugin('SV\AdvancedBbCodesPack:BbCodePreview');

        $message = $this->filter('bb_code_output', 'str');
        return $bbCodePreviewPlugin->actionPreview($message, $thread, 'SV\AdvancedBbCodesPack\XF:Thread\SVBbCodePreview');
    }
}