<?php
/**
 * @noinspection PhpMissingReturnTypeInspection
 */

namespace SV\AdvancedBbCodesPack\XF\Repository;

use XF\Mvc\Entity\Finder;

/**
 * Extends \XF\Repository\BbCode
 */
class BbCode extends XFCP_BbCode
{
    public function getSvEditorConfig($includeModConfig = true)
    {
        $ruleSet = \XF::app()->bbCode()->rules('base');

        $bbCodeConfig = [
            'dialog' => [
                'time',
                'bimg',
                'accordion',
                'article',
                'alert', 'stop', 'warning', 'information',
                'encadre',
                'fieldset',
                'tabs',
                'slider',
                'latex',
                'anchor',
                'abbr',
                'hr',
            ],
            'modBbCode' => [
                'alert',
                'stop',
                'warning',
                'information',
            ],
        ];
        if (!$includeModConfig)
        {
            unset($bbCodeConfig['modBbCode']);
        }

        foreach($bbCodeConfig as &$set)
        {
            foreach($set as $key2 => $tag)
            {
                if ($ruleSet->getTag($tag) === null)
                {
                    unset($set[$key2]);
                }
            }
        }

        return $bbCodeConfig;
    }

    /**
     * @return Finder
     */
    public function findBbCodesForList()
    {
        $finder = parent::findBbCodesForList();
        if (empty(\XF::options()->svSortBbCode))
        {
            return $finder;
        }
        return $finder->resetOrder()->order('MasterTitle.phrase_text');
    }

    /**
     * @return Finder
     */
    public function findActiveBbCodes()
    {
        $finder = parent::findActiveBbCodes();
        if (empty(\XF::options()->svSortBbCode))
        {
            return $finder;
        }
        return $finder->setDefaultOrder('MasterTitle.phrase_text');
    }
}