<?php

namespace SV\AdvancedBbCodesPack\XF\Repository;

/**
 * Extends \XF\Repository\Unfurl
 */
class Unfurl extends XFCP_Unfurl
{
    public function logPendingUnfurl($url)
    {
        if (!$url || !\preg_match('#^https?://#i', $url))
        {
            //throw new \InvalidArgumentException('Invalid URL');
            return false;
        }

        if (\strlen($url) > 2500)
        {
            return false;
        }

        $this->db()->insert('xf_unfurl_result', [
            'url' => $url,
            'url_hash' => \md5($url),
            'pending' => 1,
        ], false, '
			pending = VALUES(pending)
		');
        // https://xenforo.com/community/threads/logpendingunfurl-sometimes-returns-null-due-to-insert-on-dupe-lastinsertid.165648/
        // http://dev.mysql.com/doc/refman/5.0/en/insert-on-duplicate.html
        // return result can be 1 but lastInsertId will return null
        // stock XF needs to fetch the record, but this add-on doesn't care just needs to know the attempt was tried


        return null;
    }
}