<?php

namespace SV\AdvancedBbCodesPack\XF\Str;

/**
 * Extends \XF\Str\Formatter
 */
class Formatter extends XFCP_Formatter
{
    /**
     * @noinspection RegExpRedundantEscape
     * @noinspection PhpUnnecessaryLocalVariableInspection
     * @noinspection RegExpUnnecessaryNonCapturingGroup
     * @noinspection RegExpSimplifiable
     */
    public function stripBbCode($string, array $options = [])
    {
        $string = parent::stripBbCode($string, $options);

        $string = \preg_replace(
            '#\{(slide)(?:=){0,1}?([^\|}]*)([^\}]*)\}(.*)\{/slide\}#siU',
            '[\\1] \\2',
            $string
        );

        $string = \preg_replace(
            '#\{(td|tr|th|thead|tbody|tfoot|colgroup|col|caption)(?:=){0,1}?(?:[^\}]*)\}(.*)\{/\\1\}#siU',
            '\\2 ',
            $string
        );

        return $string;
    }
}